.range-slider {
	$slider-height: 20px !default;
	$slider-width: 130px !default;
	$rail-height: 3px !default;
	$knob-size: 20px !default;

	$rail-color: #e2e2e2 !default;
	$rail-fill-color: #21fb92 !default;
	$knob-color: #fff !default;

	$knob-border: 1px solid #f5f5f5 !default;
	$knob-shadow: 1px 1px rgba(0, 0, 0, 0.2) !default;

	.range-slider {
		display: inline-block;
		padding: 0 ($knob-size / 2);
		height: $slider-height;
		width: $slider-width;
	}

	.range-slider.disabled {
		opacity: 0.5;
	}

	.range-slider-inner {
		display: inline-block;
		position: relative;
		height: 100%;
		width: 100%;
	}

	.range-slider-rail,
	.range-slider-fill {
		display: block;
		position: absolute;
		top: 50%;
		left: 0;
		height: $rail-height;
		border-radius: $rail-height / 2;
		transform: translateY(-50%);
	}

	.range-slider-rail {
		width: 100%;
		height: 3px;
		background-color: #b7c6d0;
	}

	.range-slider-fill {
		box-shadow: 0 0 10px 0 rgba(247, 68, 85, 0.4);
		background-color: #f74455;

	}

	.range-slider-knob {
		display: block;
		position: absolute;
		top: 50%;
		left: 0;
		box-sizing: border-box;
		border-radius: 50%;
		transform: translate(-50%, -50%);
		cursor: pointer;
		width: 25px;
		height: 25px;
		box-shadow: 0 0 10px 0 rgba(247, 68, 85, 0.8);
		border: solid 3px #f74455;
		background-color: #ffffff;
	}

	.range-slider-hidden {
		display: none;
	}


}
